%define major 1
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	Implements resource discovery and announcement over SSDP
Name:		gssdp
Version:	0.6.2
Release:	%mkrel 1
License:	GPLv2+
Group:		Development/Other
Url:		http://www.gupnp.org/sources/gssdp/
Source0:	http://www.gupnp.org/sources/gssdp/%{name}-%{version}.tar.bz2
BuildRequires:	libsoup-devel
BuildRequires:	libglade2-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
GSSDP implements resource discovery and announcement over SSDP.

%package -n %{libname}
Summary:	Main library for gssdp
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Obsoletes:	%{mklibname gssdp 1} < 0.6.1

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with gssdp.

%package -n %{develname}
Summary:	Headers for developing programs that will use gssdp
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use gssdp.

%prep
%setup -q

%build
%configure2_5x
%make

%check
make check

%install
rm -rf %{buildroot}
%makeinstall_std

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS README ChangeLog NEWS
%{_bindir}/gssdp-device-sniffer

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/pkgconfig/gssdp*.pc
%{_includedir}/gssdp-1.0/lib%{name}/*.h
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a
%{_datadir}/%{name}/*glade
%{_datadir}/gtk-doc/html/*


%changelog
* Mon Sep 01 2008 Frederik Himpe <fhimpe@mandriva.org> 0.6.2-1mdv2009.0
+ Revision: 278581
- update to new version 0.6.2

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri May 23 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.1-1mdv2009.0
+ Revision: 210590
- new version
- bump major
- do not re-define stuff
- update buildrequires
- spec file clean

  + Erwan Velu <erwan@mandriva.org>
    - Fixing stupid buildrequires

* Mon Feb 25 2008 Erwan Velu <erwan@mandriva.org> 0.4.2-1mdv2008.1
+ Revision: 174550
- Fixing wrong requires
- Adding glade dep
- import gssdp


